Subject: [bug#48622] [PATCH core-updates 27/29] gnu: texlive-hyperref: Don't propagate texlive-oberdiek.

From: Marius Bakke <[email-masked]>
Date: Mon, 24 May 2021 16:43:31 +0200

* gnu/packages/tex.scm (texlive-hyperref)[propagated-inputs]: Remove
TEXLIVE-OBERDIEK.  Add TEXLIVE-GENERIC-ATBEGSHI, TEXLIVE-GENERIC-BITSET,
TEXLIVE-GENERIC-ETEXCMDS, TEXLIVE-GENERIC-GETTITLESTRING,
TEXLIVE-GENERIC-IFTEX, TEXLIVE-GENERIC-INFWARERR, TEXLIVE-GENERIC-INTCALC,
TEXLIVE-GENERIC-KVDEFINEKEYS, TEXLIVE-GENERIC-LTXCMDS,
TEXLIVE-GENERIC-PDFESCAPE, TEXLIVE-LATEX-AUXHOOK, TEXLIVE-LATEX-ATVERYEND,
TEXLIVE-LATEX-HYCOLOR, TEXLIVE-LATEX-KVOPTIONS, TEXLIVE-LATEX-LETLTXMACRO,
TEXLIVE-LATEX-PDFTEXCMDS, TEXLIVE-LATEX-REFCOUNT, and
TEXLIVE-LATEX-RERUNFILECHECK.
---
 gnu/packages/tex.scm | 20 +++++++++++++++++++-
 1 file changed, 19 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/tex.scm b/gnu/packages/tex.scm
index 2b1edf8ebc..c99b7dce33 100644
--- a/gnu/packages/tex.scm
+++ b/gnu/packages/tex.scm
@@ -3119,7 +3119,25 @@ XML, using UTF-8 or a suitable 8-bit encoding.")
              (add-after 'unpack 'chdir
                (lambda _ (chdir "source/latex/hyperref") #t))))))
       (propagated-inputs
-       `(("texlive-oberdiek" ,texlive-oberdiek) ; for ltxcmds.sty
+       `(("texlive-generic-atbegshi" ,texlive-generic-atbegshi)
+         ("texlive-generic-bitset" ,texlive-generic-bitset)
+         ("texlive-generic-etexcmds" ,texlive-generic-etexcmds)
+         ("texlive-generic-gettitlestring" ,texlive-generic-gettitlestring)
+         ("texlive-generic-iftex" ,texlive-generic-iftex)
+         ("texlive-generic-infwarerr" ,texlive-generic-infwarerr)
+         ("texlive-generic-intcalc" ,texlive-generic-intcalc)
+         ("texlive-generic-kvdefinekeys" ,texlive-generic-kvdefinekeys)
+         ("texlive-generic-kvsetkeys" ,texlive-generic-kvsetkeys)
+         ("texlive-generic-ltxcmds" ,texlive-generic-ltxcmds)
+         ("texlive-generic-pdfescape" ,texlive-generic-pdfescape)
+         ("texlive-latex-auxhook" ,texlive-latex-auxhook)
+         ("texlive-latex-atveryend" ,texlive-latex-atveryend)
+         ("texlive-latex-hycolor" ,texlive-latex-hycolor)
+         ("texlive-latex-kvoptions" ,texlive-latex-kvoptions)
+         ("texlive-latex-letltxmacro" ,texlive-latex-letltxmacro)
+         ("texlive-latex-pdftexcmds" ,texlive-latex-pdftexcmds)
+         ("texlive-latex-refcount" ,texlive-latex-refcount)
+         ("texlive-latex-rerunfilecheck" ,texlive-latex-rerunfilecheck)
          ("texlive-latex-url" ,texlive-latex-url)))
       (home-page "https://www.ctan.org/pkg/hyperref")
       (synopsis "Extensive support for hypertext in LaTeX")
-- 
2.31.1